Bug 972737 - MiniDebugInfo support in F19
MiniDebugInfo support in F19
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: libunwind (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kyle McMartin
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-10 09:49 EDT by Martin Milata
Modified: 2015-08-31 23:54 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 10:31:24 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
specfile patch that turns on MDI support and adds the other attachment as a patch (782 bytes, patch)
2013-06-10 09:49 EDT, Martin Milata
no flags Details | Diff
patch for libunwind-1.1 minidebuginfo bug preventing the correct operation (697 bytes, patch)
2013-06-10 09:51 EDT, Martin Milata
no flags Details | Diff
specfile patch that turns on MDI support and adds the other attachment as a patch (1.34 KB, patch)
2013-06-10 12:42 EDT, Martin Milata
no flags Details | Diff

  None (edit)
Description Martin Milata 2013-06-10 09:49:16 EDT
Created attachment 759209 [details]
specfile patch that turns on MDI support and adds the other attachment as a patch

ABRT would like to take advantage of the MiniDebugInfo[1] feature present in F19 through the libunwind library. The support for MiniDebugInfo is not built in though and furthermore the MiniDebugInfo implementation in libunwind-1.1 contains a bug which prevents the correct operation anyway.

To turn on the MiniDebugInfo support, it is sufficient to add xz-devel to BuildRequires and the specfile patch does that.

The second patch is against libunwind-1.1 and fixes the above mentioned bug. It has been sent to the upstream mailing list[2] with no reply so far. The specfile patch adds it to the patch series.

Do you think it would be possible to include the MiniDebugInfo support in the next F19 release of the libunwind package?

[1] http://fedoraproject.org/wiki/Features/MiniDebugInfo
[2] http://lists.nongnu.org/archive/html/libunwind-devel/2013-06/msg00000.html
Comment 1 Martin Milata 2013-06-10 09:51:19 EDT
Created attachment 759210 [details]
patch for libunwind-1.1 minidebuginfo bug preventing the correct operation
Comment 2 Martin Milata 2013-06-10 12:42:56 EDT
Created attachment 759278 [details]
specfile patch that turns on MDI support and adds the other attachment as a patch

New spec patch:
- against *current* specfile
- increments release
- adds changelog entry
Comment 3 Martin Milata 2013-07-08 11:00:53 EDT
If you decide to fix this issue, could you please push the build to F18 as well?
Comment 4 Masatake YAMATO 2013-07-30 01:45:54 EDT
(In reply to Martin Milata from comment #2)
> Created attachment 759278 [details]
> specfile patch that turns on MDI support and adds the other attachment as a
> patch
> 
> New spec patch:
> - against *current* specfile
> - increments release
> - adds changelog entry

Requires: xz

is needed, isn't it?
Comment 5 Masatake YAMATO 2013-07-30 01:51:58 EDT
If you enables minidebuginfo feature, could you also introduce the patch submitted in [1]?

[1] http://lists.nongnu.org/archive/html/libunwind-devel/2013-07/msg00001.html

  [Libunwind-devel] [PATCH] Missing -llzma in libunwind.pc   
  liblzuma used in decoding MiniDebuginfo is not listed in
  libunwind.pc.
Comment 6 Masatake YAMATO 2013-07-30 01:52:28 EDT
If you enable minidebuginfo feature, could you also introduce the patch submitted in [1]?

[1] http://lists.nongnu.org/archive/html/libunwind-devel/2013-07/msg00001.html

  [Libunwind-devel] [PATCH] Missing -llzma in libunwind.pc   
  liblzuma used in decoding MiniDebuginfo is not listed in
  libunwind.pc.
Comment 9 Fedora End Of Life 2015-01-09 13:22:52 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2015-02-17 10:31:24 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.